streams-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sblack...@apache.org
Subject [2/4] incubator-streams git commit: Added requireMavenVersion
Date Sat, 22 Oct 2016 19:40:09 GMT
Added requireMavenVersion


Project: http://git-wip-us.apache.org/repos/asf/incubator-streams/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-streams/commit/afb25d08
Tree: http://git-wip-us.apache.org/repos/asf/incubator-streams/tree/afb25d08
Diff: http://git-wip-us.apache.org/repos/asf/incubator-streams/diff/afb25d08

Branch: refs/heads/master
Commit: afb25d083bc24b8d5333b2db320a23be467fcf4b
Parents: 1cb6234
Author: Joey Frazee <joey.frazee@icloud.com>
Authored: Fri Oct 21 13:55:34 2016 -0500
Committer: Joey Frazee <joey.frazee@icloud.com>
Committed: Fri Oct 21 13:55:34 2016 -0500

----------------------------------------------------------------------
 incubator-streams-master-pom.xml | 5 +++++
 1 file changed, 5 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-streams/blob/afb25d08/incubator-streams-master-pom.xml
----------------------------------------------------------------------
diff --git a/incubator-streams-master-pom.xml b/incubator-streams-master-pom.xml
index e2fc302..9524643 100644
--- a/incubator-streams-master-pom.xml
+++ b/incubator-streams-master-pom.xml
@@ -118,6 +118,7 @@
 
         <!-- Build Properties -->
         <java.version>1.8</java.version>
+        <maven.version>3.0.5</maven.version>
         <maven.javadoc.failOnError>false</maven.javadoc.failOnError>
         <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
         <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
@@ -325,6 +326,10 @@
                                         <message>Java 8 or higher is required to compile
this module</message>
                                         <version>[${java.version},)</version>
                                     </requireJavaVersion>
+                                    <requireMavenVersion>
+                                        <message>Maven 3.0 or higher is required to
compile this module</message>
+                                        <version>[${maven.version},)</version>
+                                    </requireMavenVersion>
                                 </rules>
                             </configuration>
                         </execution>


Mime
View raw message